/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ISensorrepeticao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Sensorrepeticao implements VertxPojo, ISensorrepeticao {

    private static final long serialVersionUID = 392429646;

    private Integer senrepid;
    private Integer fktiprepid;
    private Integer fksenid;

    public Sensorrepeticao() {}

    public Sensorrepeticao(Sensorrepeticao value) {
        this.senrepid = value.senrepid;
        this.fktiprepid = value.fktiprepid;
        this.fksenid = value.fksenid;
    }

    public Sensorrepeticao(
        Integer senrepid,
        Integer fktiprepid,
        Integer fksenid
    ) {
        this.senrepid = senrepid;
        this.fktiprepid = fktiprepid;
        this.fksenid = fksenid;
    }

    @Override
    public Integer getSenrepid() {
        return this.senrepid;
    }

    @Override
    public Sensorrepeticao setSenrepid(Integer senrepid) {
        this.senrepid = senrepid;
        return this;
    }

    @Override
    public Integer getFktiprepid() {
        return this.fktiprepid;
    }

    @Override
    public Sensorrepeticao setFktiprepid(Integer fktiprepid) {
        this.fktiprepid = fktiprepid;
        return this;
    }

    @Override
    public Integer getFksenid() {
        return this.fksenid;
    }

    @Override
    public Sensorrepeticao setFksenid(Integer fksenid) {
        this.fksenid = fksenid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Sensorrepeticao (");

        sb.append(senrepid);
        sb.append(", ").append(fktiprepid);
        sb.append(", ").append(fksenid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ISensorrepeticao from) {
        setSenrepid(from.getSenrepid());
        setFktiprepid(from.getFktiprepid());
        setFksenid(from.getFksenid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ISensorrepeticao> E into(E into) {
        into.from(this);
        return into;
    }

    public Sensorrepeticao(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
